Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.datatransfer
Interface FlavorMap

All Known Implementing Classes:
  SystemFlavorMap

public interface FlavorMap

The FlavorMap is an interface to a map that maps platform native type names (strings) to MIME type strings, and also their associated DataFlavors.

This map is used by the DnD system to map platform data types to MIME types to enable the transfer of objects between Java and the platform via the platform DnD System.

Since:
  1.2
See Also:
  `SystemFlavorMap`

Method Summary
`Map` | `getFlavorsForNatives(String[] natives)` map natives to corresponding flavors
`Map` | `getNativesForFlavors(DataFlavor[] flavors)` map flavors to native data types names

Method Detail

### getNativesForFlavors

    public Map getNativesForFlavors(DataFlavor[] flavors)

  map flavors to native data types names
  Parameters:
    `flavors` - The array of DataFlavors to map to native types, or null
  Returns:
    a Map object which contains between 0 or more entries with keys of type DataFlavor and values of type String, where the String values mapped (if any) are the native (platform dependent) data type name corresponding to the (platform independent) DataFlavor (MimeType). If the parameter is null then the Map returned should be the complete map of all mappings between DataFlavors and their corresponding native names known to the implementation at the time of the call. The Map returned is mutable and considered to be owned by the caller, thus allowing "nesting" of FlavorMap implementations.

### getFlavorsForNatives

    public Map getFlavorsForNatives(String[] natives)

  map natives to corresponding flavors
  Parameters:
    `native` - The array of String native types to map to DataFlavors, or null
  Returns:
    a Map object which contains 0 or more entries with keys of type String and values of type DataFlavor, where the DataFlavor values mapped (if any) are the (platform independent) types corresponding to their native (platform dependent) data type names. If the parameter is null then the map returned should be the complete map of all mappings between native names and their corresponding DataFlavors known to the implementation at the time of the call. The Map returned is mutable and considered to be owned by the caller, thus allowing "nesting" of FlavorMap implementations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.